> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/43.-zapytanie-pobierz-fields.md).

# 43. Zapytanie: Pobierz „Fields”

Zapytanie o pobranie użytkownika "Fields" z filtrami po `etykietach`, `farmUuid`, `fieldUuid`, `nazwaPola`. Pola zwracane są w porządku alfabetycznym według nazwy pola.&#x20;

Filtr pola działa jak warunek AND, np. można filtrować po `farmUuid` i po `fieldUuid` i po `etykietach` i po `nazwaPola` w jednym zapytaniu lub użyć tylko jednego warunku filtru albo nie używać żadnego warunku.&#x20;

Filtruj po `nazwaPola` działa jako `zaczyna_się_od`.&#x20;

Aby zaimplementować logikę paginacji, użyj parametru zapytania `rozmiarStrony`. Istnieją `ostatniOcenionyKlucz` i `łącznaLiczba` w odpowiedzi, gdzie `ostatniOcenionyKlucz` odnosi się do ostatniego przetworzonego rekordu pasującego do warunku filtru oraz `łącznaLiczba` to całkowita liczba rekordów, które spełniają warunki filtrowania.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      poleUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      nazwa
      labels {
        nazwa
        value
      }
      łącznaLiczba
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/43.-zapytanie-pobierz-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
